author | Junio C Hamano <gitster@pobox.com> | |
Wed, 22 Oct 2008 00:58:21 +0000 (17:58 -0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Wed, 22 Oct 2008 00:58:21 +0000 (17:58 -0700) |
* js/maint-fetch-update-head:
pull: allow "git pull origin $something:$current_branch" into an unborn branch
Fix fetch/pull when run without --update-head-ok
Conflicts:
t/t5510-fetch.sh
pull: allow "git pull origin $something:$current_branch" into an unborn branch
Fix fetch/pull when run without --update-head-ok
Conflicts:
t/t5510-fetch.sh
1 | 2 | |||
---|---|---|---|---|
builtin-fetch.c | patch | | diff1 | | diff2 | | blob | history |
t/t5510-fetch.sh | patch | | diff1 | | diff2 | | blob | history |
t/t9300-fast-import.sh | patch | | diff1 | | diff2 | | blob | history |
diff --cc builtin-fetch.c
Simple merge
diff --cc t/t5510-fetch.sh
index 9aae4965dac0f2bf4bb8684c4b8d43dcb60529e9,52094e78dcd63cd7dc1ce166450c403fc32efbac..9e679b402dc826185377c431d353decd8a8a2bed
--- 1/t/t5510-fetch.sh
--- 2/t/t5510-fetch.sh
+++ b/t/t5510-fetch.sh
'
+test_expect_success 'auto tag following fetches minimum' '
+
+ cd "$D" &&
+ git clone .git follow &&
+ git checkout HEAD^0 &&
+ (
+ for i in 1 2 3 4 5 6 7
+ do
+ echo $i >>file &&
+ git commit -m $i -a &&
+ git tag -a -m $i excess-$i || exit 1
+ done
+ ) &&
+ git checkout master &&
+ (
+ cd follow &&
+ git fetch
+ )
+'
+
+ test_expect_success 'refuse to fetch into the current branch' '
+
+ test_must_fail git fetch . side:master
+
+ '
+
+ test_expect_success 'fetch into the current branch with --update-head-ok' '
+
+ git fetch --update-head-ok . side:master
+
+ '
+
test_done
diff --cc t/t9300-fast-import.sh
Simple merge